import request from '@/utils/request'

// 查询用车申请记录列表
export function listApplyCarLog (query) {
  return request({
    url: '/clw/applyCarLog/list',
    method: 'get',
    params: query
  })
}

// 查询用车申请记录详细
export function getApplyCarLog (id) {
  return request({
    url: '/clw/applyCarLog/' + id,
    method: 'get'
  })
}

// 新增用车申请记录
export function addApplyCarLog (data) {
  return request({
    url: '/clw/applyCarLog',
    method: 'post',
    data: data
  })
}

// 修改用车申请记录
export function updateApplyCarLog (data) {
  return request({
    url: '/clw/applyCarLog',
    method: 'put',
    data: data
  })
}

// 删除用车申请记录
export function delApplyCarLog (id) {
  return request({
    url: '/clw/applyCarLog/' + id,
    method: 'delete'
  })
}
